%global modname libqutrub
%global distname LibQutrub

Name:				python-%{modname}
Version:			1.0
Release:			11%{?dist}
Summary:			Arabic verb conjuagtion library
Summary(ar):		مكتبة تصريف الأفعال العربية
License:			GPLv1
URL:				https://pypi.python.org/pypi/%{distname}
Source:				https://pypi.python.org/packages/source/L/%{distname}/%{distname}-%{version}.zip
#By PKG-INFO file, and after calling programmer:
Source1:            gpl-1.0.txt
#Fix file encoding:
Source2:            %{distname}-PKG-INFO
BuildArch:			noarch
BuildRequires:		python2-devel
BuildRequires:		python2-setuptools

%global _description\
Arabic language verb conjuagtion library to be used by Python.

%global _description_ar\
مكتبة تصريف أفعال اللّغة العربية، مخصّصة للاستخدام ضمن بيئة بيثون.

%description %_description
%description -l ar %_description

%package -n python2-%{modname}
Summary:			Arabic verb conjuagtion library
Summary(ar):		مكتبة تصريف الأفعال العربية
%{?python_provide:%python_provide python2-%{modname}}

%description -n python2-%{modname} %_description
%description -n python2-%{modname} -l ar %_description_ar

%prep
%setup -q -n %{distname}-%{version}
rm -rf *.egg-info
#Remove the python shebang:
sed -i 's:#!/usr/bin/python::g' %{modname}/*
#Add License File:
cp -p %{SOURCE1} .
#Fix file encoding:
cp -p %{SOURCE2} ./PKG-INFO

%build
%{__python2} setup_lib.py build

%install
%{__python2} setup_lib.py install --skip-build --root=%{buildroot}

%files -n python2-%{modname}
%doc PKG-INFO gpl-1.0.txt
%{python2_sitelib}/%{modname}/
%{python2_sitelib}/%{distname}-%{version}-py2.*.egg-info

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 25 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.0-10
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Aug 10 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0-9
- Python 2 binary package renamed to python2-libqutrub
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Oct 24 2014 Mosaab Alzoubi <moceap@hotmail.com> - 1.0-3
- Minor fixes during revision.

* Thu Oct 23 2014 Mosaab Alzoubi <moceap@hotmail.com> - 1.0-2
- General revision.

* Sat Jan 11 2014 Mosaab Alzoubi <moceap@hotmail.com> - 1.0-1
- Initial build.
